<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – System Utilities</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="system-utilities">System Utilities</h1>
<p>This section will describe <strong>System Utilities</strong> in Cacti.</p>
<p>The system utilities page in cacti contains tools used for administering cacti from this page you can do the following</p>
<ul>
<li><p>Rebuild poller cache.</p></li>
<li><p>View technical support information.</p></li>
<li><p>Adjust log settings.</p></li>
<li><p>View the user log for audits.</p></li>
</ul>
<p><img src="images/system-utilities.png" alt="System Utilities" />.</p>
<p>Some of the most important tools are listed below</p>
<h3 id="rebuild-poller-cache">Rebuild poller cache</h3>
<p>The Poller Cache will be re-generated if you select this option. Use this option only in the event of a database crash if you are experiencing issues after the crash and have already run the database repair tools. Alternatively, if you are having problems with a specific Device, simply re-save that Device to rebuild its Poller Cache. There is also a command line interface equivalent to this command that is recommended for large systems. NOTE: On large systems, this command may take several minutes to hours to complete and therefore should not be run from the Cacti UI. You can simply run 'php -q cli/rebuild_poller_cache.php --help' at the command line for more information.</p>
<h3 id="technical-support">Technical support</h3>
<p>Cacti technical support page. Used by developers and technical support persons to assist with issues in Cacti. Includes checks for common configuration issues. There is also built-in checks that help you tune your Cacti installation.</p>
<p>For example in the technical support section under the summary, you will see a calculation for how many MySQL connections. You should have (Cacti 1.2.16+) you will also show poller information such as the last polling time process count and more detailed info that can be used for a quick view of how the system is configured.</p>
<p><img src="images/system-utilities-poller.png" alt="System Utilities" />.</p>
<p>You will also see all of the system variables such as allocated php memory as well as mysql variables.</p>
<p><img src="images/system-utilities-db.png" alt="System Utilities" /></p>
<p>Any Variable appearing in red indicates a subpar setting and should be looked. the recomendations are dynamic in that they change when more system resources are detected so if you upgrade your server hardware be sure to check back to this page to get the most out of your new hardware.</p>
<h3 id="rrd-cleaner">RRD cleaner</h3>
<p><code>Console &gt; utilities &gt; System Utilities &gt; RRDfile Cleaner</code></p>
<p>When you delete Data Sources from Cacti, the corresponding RRDfiles are not removed automatically. Use this utility to facilitate the removal of these old files.</p>
<p>In system utilities you can manually start the RRD cleaning procedure You can either archive the selected RRD's to have them deleted in the next polling cycle</p>
<p><img src="images/system-utilities-rrdcleaner.png" alt="System Utilities" /></p>
<p>RRDfiles can also be schedule to automatically be removed this option can be configured in <code>Console &gt; Configuration &gt; Settings &gt; Paths</code> by selecting the RRDfile autoclean selection.</p>
<p><img src="images/rrd-autoclean.png" alt="System Utilities" /></p>
<h3 id="viewing-change-log-from-system-utilities">Viewing Change log from system utilities</h3>
<p>With Cacti 1.2.16+, you are now able to view the CHANGELOG information up to the version your server is currently running. This is available via the system utilities menu which is useful for seeing what fixes and occasional features are included in your version.</p>
<p><img src="images/change-log-sysutils.png" alt="System Utilities" /></p>
<h3 id="view-user-login-history">View user login history</h3>
<p><code>Console &gt; utilities &gt; System Utilities &gt; View user Log</code></p>
<p>In system utilities you are able to view a log of user logins both successful and failures The Log will also show what Client IP address the login originated from along with info if the login was based on password or token based login</p>
<p><img src="images/system-utilities-viewulog.png" alt="System Utilities" /></p>
<h3 id="view-boost-update-status-and-stats">View boost update status and stats</h3>
<p><code>Console &gt; Utilities &gt; System Utilities &gt; View Boost Status</code></p>
<p>In this view you can see statistics on how Boost is running you will be able to see Information such as when the last time boost started, How long it ran for, The average boost record size</p>
<p><img src="images/system-utilities-boost1.png" alt="System Utilities" /></p>
<p><img src="images/system-utilities-boost2.png" alt="System Utilities" /></p>
<h3 id="viewing-the-data-source-query-cache">Viewing the Data Source Query Cache</h3>
<p><code>Console &gt; Utilities &gt; System Utilities &gt; View Data Source Query Cache</code></p>
<p>The Data Query Cache stores information gathered from Data Query input types. The values from these fields can be used in the text area of Graphs for Legends, Vertical Labels, and GPRINTS as well as in CDEF's.</p>
<p><img src="images/system-utilities-viewdqcache.png" alt="System Utilities" /></p>
<h3 id="viewing-the-poller-cache">Viewing the Poller Cache</h3>
<p><code>Console &gt; Utilities &gt; System Utilities &gt; View Poller Cache</code></p>
<p>This is the data that is being passed to the poller each time it runs.</p>
<p><img src="images/system-utilities-viewpcache.png" alt="System Utilities" /></p>
<h3 id="viewing-system-log-via-system-utilities">Viewing System log via System Utilities</h3>
<p>You are able to view the system log via the System utilities page this will show the RAW log this slightly differs from the view log tab as the device names will show the device ID rather than the Device name this is the same view as you reading the log in the OS</p>
<p><img src="images/system-utilities-viewclog.png" alt="System Utilities" /></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
